> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all recipients for a conversation

Retrieves all recipients (to, cc, bcc, reply-to) associated with a specific conversation. Recipients are contacts who are part of the conversation thread and will receive messages sent to it.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json get /conversations/{id}/recipients
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /conversations/{id}/recipients:
    get:
      tags:
        - Conversations
      summary: List all recipients for a conversation
      description: >-
        Retrieves all recipients (to, cc, bcc, reply-to) associated with a
        specific conversation. Recipients are contacts who are part of the
        conversation thread and will receive messages sent to it.
      operationId: listConversationRecipients
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
          description: ID of the conversation
          example: 12345
      responses:
        '200':
          description: List of recipients retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Recipient'
        '404':
          description: Conversation not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    Recipient:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Unique identifier for the recipient
          example: 12345
        contact_id:
          type: integer
          format: int64
          description: ID of the contact that is a recipient of this conversation
          example: 789
        kind:
          type: string
          enum:
            - to
            - cc
            - bcc
            - from
            - reply-to
          description: Type of recipient (to, cc, bcc, from, or reply-to)
          example: cc
        conversation_id:
          type: integer
          format: int64
          description: ID of the conversation this recipient belongs to
          example: 456
      required:
        - id
        - contact_id
        - kind
        - conversation_id
      x-computed-hash: cbb8eb868425947be377f9afbf0493c64e9e4591063f9430fa398020dbe2863c
      x-last-modified: 1769075324
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````